.ui-widget-overlay{
  /*background:#aaa url("/jQueryUI/images/ui-bg_flat_0_aaaaaa_40x100.png") 50% 50% repeat-x !important;*/
  background: rgb(50,50,50) !important;
  opacity:0.8 !important;
  filter: Alpha(Opacity=80) !important;
}
.ui-slider-horizontal { height: 6px !important; }
.ui-slider-handle     { font-size: 8px !important; }
.ui-slider            { border: 0 !important; }
.ui-slider-range      {
 background: none !important;
 border: 0 !important;
 background-color: rgba(73, 98, 158, 0.91) !important;
}
.ui-autocomplete {
    max-height: 250px !important;
    overflow-y: auto !important;
    /* prevent horizontal scrollbar */
    overflow-x: hidden !important;
    /* add padding to account for vertical scrollbar */
    padding-right: 20px !important;
}

body {
	font: normal .8em/1.5em Arial, Helvetica, sans-serif;
	color: #333;
	margin: 0;
}

input, select, textarea {
          font-family: Arial, Helvetica, sans-serif;
               height: 18px;
            font-size: 12px;
               border: 1px solid #969a9e;
                color: #333;
     background-color: #f4f4f4;
}
input:focus, select:focus, textarea:focus {
    background-color: #E3E3E3;
    outline: 0;
}

div, a, label { box-sizing: border-box;}
a, a:hover, a:visited { color: #0f279a; }



h1 { padding: 5px; background: #7a7a7a; color: #FFFFFF; margin: 0; }

div.ScreenOuter {

    display: table;
    position: fixed;
    height: 100%;
    width: 100%;
    margin: -5px;
    background: #333333 !important;
    opacity: 0.5 !important;
    z-index: 25;

}

div.ScreenContent {

    position: fixed;
    top: 30%;
    left: 50%;
    width: 600px;
    padding: 4px 4px;
    margin-left: -300px;
    margin-right: -300px;
    border: 1px solid #ffffff;
    z-index: 27;
    background-color: #c7c7c7;
    border-radius: 3px;
    box-shadow: 5px 5px 5px #282828;

}
div.ScreenContentMessage {

    padding: 10px 10px 15px 10px;
    width: 100%;
    background-color: #ffffff;
    border: 1px solid #e3e3e3;
    border-radius: 3px;

}

/* ICON Sorting */

span.AdminEditorColSorting {
  display: inline-block;
  height: 16px;
  width: 16px;
  cursor: pointer;
  background-image: url('Gfx/iconARROW_UP_Disabled.png');
  background-size: 100% 100%;
  vertical-align: bottom;
  margin-bottom: -2px;
  margin-right: 2px;
}
span.AdminEditorColSorting.AscActive {
  background-image: url('Gfx/iconARROW_UP.png');
}
span.AdminEditorColSorting.DescActive {
  background-image: url('Gfx/iconARROW_DOWN.png');
}


/* A LINK BUTTONS */
a.LinkBtn {
        font-size: 12px;
      font-family: "Arial", sans-serif;
      font-weight: bold;
  text-decoration: none;
            color: #565656; /*#FFFFFF;*/
          display: inline-block;
      margin-left: 3px;
     margin-right: 3px;
          padding: 3px 8px;
            width: auto;
         border-radius: 3px 3px 3px 3px;
    -moz-border-radius: 3px 3px 3px 3px;
 -webkit-border-radius: 3px 3px 3px 3px;

 /*background: #808080;*/
 background: #b5b5b5;
 background: -moz-linear-gradient(top, #b5b5b5 0%, #d6d6d6 50%, #b5b5b5 100%);
 background: -webkit-gradient(linear, left top, left bottom, color-stop(0%,#b5b5b5), color-stop(50%,#d6d6d6), color-stop(100%,#b5b5b5));
 background: -webkit-linear-gradient(top, #b5b5b5 0%,#d6d6d6 50%,#b5b5b5 100%);
 background: -o-linear-gradient(top, #b5b5b5 0%,#d6d6d6 50%,#b5b5b5 100%);
 background: -ms-linear-gradient(top, #b5b5b5 0%,#d6d6d6 50%,#b5b5b5 100%);
 background: linear-gradient(to bottom, #b5b5b5 0%,#d6d6d6 50%,#b5b5b5 100%);
 filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#b5b5b5', endColorstr='#d6d6d6',GradientType=0 );
}
a.LinkBtn.btnRed   {
      color: #FFFFFF;

 background: #9b282d;
 background: -moz-linear-gradient(top, #9b282d 0%, #d62020 50%, #9b282d 100%);
 background: -webkit-gradient(linear, left top, left bottom, color-stop(0%,#9b282d), color-stop(50%,#d62020), color-stop(100%,#9b282d));
 background: -webkit-linear-gradient(top, #9b282d 0%,#d62020 50%,#9b282d 100%);
 background: -o-linear-gradient(top, #9b282d 0%,#d62020 50%,#9b282d 100%);
 background: -ms-linear-gradient(top, #9b282d 0%,#d62020 50%,#9b282d 100%);
 background: linear-gradient(to bottom, #9b282d 0%,#d62020 50%,#9b282d 100%);
 filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#9b282d', endColorstr='#9b282d',GradientType=0 );
 /*
 background: -moz-linear-gradient(left, #9b282d 0%, #d62020 50%, #9b282d 100%);
 background: -webkit-gradient(linear, left top, right top, color-stop(0%,#9b282d), color-stop(50%,#d62020), color-stop(100%,#9b282d));
 background: -webkit-linear-gradient(left, #9b282d 0%,#d62020 50%,#9b282d 100%);
 background: -o-linear-gradient(left, #9b282d 0%,#d62020 50%,#9b282d 100%);
 background: -ms-linear-gradient(left, #9b282d 0%,#d62020 50%,#9b282d 100%);
 background: linear-gradient(to right, #9b282d 0%,#d62020 50%,#9b282d 100%);
 filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#9b282d', endColorstr='#9b282d',GradientType=1 );
 */


 /* */

}
a.LinkBtn.btnBlue  {
      color: #FFFFFF;

 background: #0f279a;              /* 1338d3 */
 background: -moz-linear-gradient(top, #0f279a 0%, #456cfb 50%, #0f279a 100%);
 background: -webkit-gradient(linear, left top, left bottom, color-stop(0%,#0f279a), color-stop(50%,#456cfb), color-stop(100%,#0f279a));
 background: -webkit-linear-gradient(top, #0f279a 0%,#456cfb 50%,#0f279a 100%);
 background: -o-linear-gradient(top, #0f279a 0%,#456cfb 50%,#0f279a 100%);
 background: -ms-linear-gradient(top, #0f279a 0%,#456cfb 50%,#0f279a 100%);
 background: linear-gradient(to bottom, #0f279a 0%,#456cfb 50%,#0f279a 100%);
 filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#0f279a', endColorstr='#0f279a',GradientType=0 );
 /*
 background: -moz-linear-gradient(left, #0f279a 0%, #456cfb 50%, #0f279a 100%);
 background: -webkit-gradient(linear, left top, right top, color-stop(0%,#0f279a), color-stop(50%,#456cfb), color-stop(100%,#0f279a));
 background: -webkit-linear-gradient(left, #0f279a 0%,#456cfb 50%,#0f279a 100%);
 background: -o-linear-gradient(left, #0f279a 0%,#456cfb 50%,#0f279a 100%);
 background: -ms-linear-gradient(left, #0f279a 0%,#456cfb 50%,#0f279a 100%);
 background: linear-gradient(to right, #0f279a 0%,#456cfb 50%,#0f279a 100%);
 filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#0f279a', endColorstr='#0f279a',GradientType=1 );
 */
}
a.LinkBtn.btnGreen {
      color: #FFFFFF;

 background: #007710;
 background: -moz-linear-gradient(top, #007710 0%, #00a215 50%, #007710 100%);
 background: -webkit-gradient(linear, left top, left bottom, color-stop(0%,#007710), color-stop(50%,#00a215), color-stop(100%,#007710));
 background: -webkit-linear-gradient(top, #007710 0%,#00a215 50%,#007710 100%);
 background: -o-linear-gradient(top, #007710 0%,#00a215 50%,#007710 100%);
 background: -ms-linear-gradient(top, #007710 0%,#00a215 50%,#007710 100%);
 background: linear-gradient(to bottom, #007710 0%,#00a215 50%,#007710 100%);
 filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#007710', endColorstr='#007710',GradientType=0 );
 /*
 background: -moz-linear-gradient(left, #007710 0%, #00a215 50%, #007710 100%);
 background: -webkit-gradient(linear, left top, right top, color-stop(0%,#007710), color-stop(50%,#00a215), color-stop(100%,#007710));
 background: -webkit-linear-gradient(left, #007710 0%,#00a215 50%,#007710 100%);
 background: -o-linear-gradient(left, #007710 0%,#00a215 50%,#007710 100%);
 background: -ms-linear-gradient(left, #007710 0%,#00a215 50%,#007710 100%);
 background: linear-gradient(to right, #007710 0%,#00a215 50%,#007710 100%);
 filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#007710', endColorstr='#007710',GradientType=1 );
 */
}
a.LinkBtn.btnWhite {
      color: #333;
 background: #e3e3e3;
}
a.LinkBtn.btnDisable {
    pointer-events: none;
    cursor: default;
}


div.FormRow {
  padding: 3px;
  margin: 0;
  margin-bottom: 3px;
  text-align: left;
  font-size: 12px;
  line-height: 16px;
  vertical-align: middle;
  overflow: hidden;
  /*position: relative;*/
}
div.FormRow.Section          { font-size: 14px;                            }
div.FormRow.Data             { margin: 0; padding: 0;                      }
div.FormRow div.Object       { float: left;                                }
div.FormRow.Data div.Object  { padding: 0 3px;                             }
div.FormRow div.Object.Label { line-height: 22px; vertical-align: middle;  }

#HeaderRow {
			width:100%;
			margin: 0;
            position: sticky;
            top: -1px;
			padding: 0px;
			background-color: #FFFFFF;
    }

.tr.await { opacity: 0.5; background-color: #E3E3E3; }
.tr.validate { opacity: 0.8; background-color: rgba(227, 157, 42, 0.50); }
.tr.bad { background-color: rgba(255, 0, 0, 0.40); }
.tr.err { color: red; }

.msg.err { color: red; font-weight: bold; }


/* INP MANAGER SPEC CLASSES*/
.InpPos.PosDone     {  background-color: rgba(62, 238, 84, 0.8); }
.InpPos.PosTodo     {  background-color: #FFFFFF; }
.InpPos.PosPartial  {  background-color: rgba(238, 230, 36, 0.6); }
.InpPos.PosOverDone {  background-color: rgba(238, 108, 103, 0.80); }

/* Journal spec classes*/
.Journal.row-1{
                line-height: 16px;
                border-bottom:1px solid #B3B3B3;
                height:16px;
                word-wrap: break-word;}
.Journal.row-2{
                line-height: 16px;
                height: 48px;
                word-wrap: break-word;}
.Journal.row-mid-2{
                line-height: 16px;
                height: 32px;
                border-bottom:1px solid #B3B3B3;}
.Journal.row-3{ line-height: 16px; height: 64px}
.Journal.row-last-2{ line-height: 16px; height: 32px}
.Journal.row-last{ line-height: 16px; height: 16px}

/* DISPLAY */
.Blk    { display: block !important;          }
.InlBlk { display: inline-block !important;   }
.FLeft  { float: left !important;    }
.FRight { float: right !important;  }
.FNone  { float: none !important; }
.Hidden { display: none !important; }

/* FORMAT and aligment */
.Bold   { font-weight: bold !important;  }
.Right  { text-align: right !important;  }
.Left   { text-align: left !important;   }
.Center { text-align: center !important; }

/* FONT sizes*/
.FS10 { font-size: 10px !important;      }
.FS14 { font-size: 14px !important;      }
.FS16 { font-size: 16px !important;      }
.FS20 { font-size: 20px !important;      }

/* COLORS   */
.Red { color: darkred !important;   }
.Blue { color: darkblue !important; }
.Green { color: darkgreen !important; }
.LightGreen { color: lightgreen !important; }
.Orange { color: orangered !important; }
.Grey { color: grey !important; }

/* BG-COLORS   */
.BGLightGreen { background-color: lightgreen !important; }
.BGLightBlue  { background-color: lightblue !important; }
.BGLightRed   { background-color: lightcoral !important; }
.BGLightSteelBlue   { background-color: lightsteelblue !important; }


/* BORDERS */
.RBGrey { border-radius: 3px; border: 1px solid #666; }

/* margins and paddings */
.TMar5 { margin-top: 5px !important;    }
.BMar5 { margin-bottom: 5px !important; }
.LMar5 { margin-left: 5px !important;   }
.RMar5 { margin-right: 5px !important;  }

.TMar10 { margin-top: 10px !important;    }
.BMar10 { margin-bottom: 10px !important; }
.LMar10 { margin-left: 10px !important;   }
.RMar10 { margin-right: 10px !important;  }

.TPad5 { padding-top: 5px !important;    }
.BPad5 { padding-bottom: 5px !important; }
.LPad5 { padding-left: 5px !important;   }
.RPad5 { padding-right: 5px !important;  }



/* sizing */
.W60    { width: 60px !important;   }
.W65    { width: 65px !important;   }
.W70    { width: 70px !important;   }
.W80    { width: 80px !important;   }
.W90    { width: 90px !important;   }
.W100   { width: 100px !important;  }
.W120   { width: 120px !important;  }
.W250   { width: 250px !important;  }
.W415   { width: 415px !important;  }
.W500   { width: 500px !important;  }
.FullW  { width: 100% !important;   }
.W30p   { width: 30% !important;  }
.W70p   { width: 70% !important;  }
.W50p   { width: 50% !important;  }

/* borders */
.BBotGrey { border-bottom: 1px solid #B3B3B3 !important; }
.BTopGrey { border-top: 1px solid #B3B3B3 !important; }
.BRightGrey { border-right: 1px solid #B3B3B3 !important; }
.BLeftGrey { border-left: 1px solid #B3B3B3 !important; }
